// pages/mine/personage/index.js
import {
  updateUserPassword
} from '../../../utils/api/api.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
      password:'',
      open: false, //默认不显示密码
      userInfo: null,
    },
    getVal(e) {
        let type = e.target.dataset.type
        this.setData({
            [type]: e.detail.value
        });
    },
    switch () {
      this.setData({
          open: !this.data.open
      })
  },
  submit(){
    if (!this.data.password) {
      wx.showToast({
          title: '请填写密码',
          icon: 'none'
      })
      return
    }
    if(!/^(((?=.*\d)(?=.*[a-z])(?=.*[A-Z]))|((?=.*\d)(?=.*[a-z])(?=.*[~!@#$%^&*]))|((?=.*\d)(?=.*[A-Z])(?=.*[~!@#$%^&*]))|((?=.*[a-z])(?=.*[A-Z])(?=.*[~!@#$%^&*]))|((?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[~!@#$%^&*]))).{10,32}$/.test(
      this.data.password
    )){
      wx.showToast({
        title: '密码格式有误',
        icon: 'none'
    })
    return
    }
    const params ={
      newPassword:this.data.password
    }
    updateUserPassword(params).then(res=>{
        wx.showToast({
            title: '修改成功，即将重新登录',
            icon: 'none',
            duration: 2000,
            mask: true,
            success: function () {
                setTimeout(function () {
                    wx.removeStorageSync('userInfo')
                    wx.navigateTo({
                        url: '/pages/login/index',
                    })
                }, 800)
            }
        })
    })
  },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
      const userInfo = wx.getStorageSync('userInfo')
      this.setData({
        userInfo
      })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})